ubuntu-location-service: com::ubuntu::location::DefaultProviderSelectionPolicy Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | List of all members
com::ubuntu::location::DefaultProviderSelectionPolicy Class Reference

`#include <default_provider_selection_policy.h>`

Inheritance diagram for com::ubuntu::location::DefaultProviderSelectionPolicy:
Collaboration diagram for com::ubuntu::location::DefaultProviderSelectionPolicy:

## Public Member Functions
| DefaultProviderSelectionPolicy ()
| ~DefaultProviderSelectionPolicy () noexcept
ProviderSelection | determine_provider_selection_for_criteria (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_position_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_heading_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_velocity_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Public Member Functions inherited from com::ubuntu::location::ProviderSelectionPolicy
| ProviderSelectionPolicy (const ProviderSelectionPolicy &)=delete
ProviderSelectionPolicy & | operator= (const ProviderSelectionPolicy &)=delete
virtual | ~ProviderSelectionPolicy ()=default

## Additional Inherited Members
Public Types inherited from com::ubuntu::location::ProviderSelectionPolicy
typedef std::shared_ptr< ProviderSelectionPolicy > | Ptr
Static Public Member Functions inherited from com::ubuntu::location::ProviderSelectionPolicy
static const Provider::Ptr & | null_provider ()
Protected Member Functions inherited from com::ubuntu::location::ProviderSelectionPolicy
| ProviderSelectionPolicy ()=default

## Detailed Description

Definition at line 29 of file default_provider_selection_policy.h.

## Constructor & Destructor Documentation

## ◆ DefaultProviderSelectionPolicy()

com::ubuntu::location::DefaultProviderSelectionPolicy::DefaultProviderSelectionPolicy | ( |  | ) |

## ◆ ~DefaultProviderSelectionPolicy()

com::ubuntu::location::DefaultProviderSelectionPolicy::~DefaultProviderSelectionPolicy | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ determine_heading_updates_provider()

Provider::Ptr com::ubuntu::location::DefaultProviderSelectionPolicy::determine_heading_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator
| ) |  |

## ◆ determine_position_updates_provider()

Provider::Ptr com::ubuntu::location::DefaultProviderSelectionPolicy::determine_position_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator
| ) |  |

## ◆ determine_provider_selection_for_criteria()

ProviderSelection com::ubuntu::location::DefaultProviderSelectionPolicy::determine_provider_selection_for_criteria | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator
| ) |  |
| virtual

Implements com::ubuntu::location::ProviderSelectionPolicy.

## ◆ determine_velocity_updates_provider()

Provider::Ptr com::ubuntu::location::DefaultProviderSelectionPolicy::determine_velocity_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator
| ) |  |

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/default_provider_selection_policy.h